function background_init()
	background = 
	{
		image = love.graphics.newImage("images/back_water.png");
		offset = 0;
		speed = 20;
	}
	--background["image"]:setWrap( "repeat", "repeat" )
	background["quad"] = love.graphics.newQuad( 0, 0, love.graphics.getWidth(), love.graphics.getHeight() + background.image:getHeight(), background.image:getWidth(), background.image:getHeight() );
end

function background_updare(dt)
	background.offset = background.offset - dt * background.speed;
	background.offset = background.offset % background.image:getHeight();
end

function background_draw()
	love.graphics.drawq(background.image, background.quad, 0, 0, 0, 1, 1, 0, background.offset);
end