function island_init()
	island1 =
	{
		image = love.graphics.newImage("images/spr_island1.png");
		x = math.random(love.graphics.getWidth());
		y = love.graphics.getHeight() / 3;
		speed = 20;
	}
	island2 =
	{
		image = love.graphics.newImage("images/spr_island2.png");
		x = math.random(love.graphics.getWidth());
		y = love.graphics.getHeight() * 2 / 3;
		speed = 20;
	}
	island3 =
	{
		image = love.graphics.newImage("images/spr_island3.png");
		x = math.random(love.graphics.getWidth());
		y = love.graphics.getHeight() * 3 / 3;
		speed = 20;
	}
end

function island_updare(dt)
	island1.y = island1.y + island1.speed * dt;
	if(island1.y > love.graphics.getHeight()) then
		island1.x = math.random(love.graphics.getWidth());
		island1.y = -island1.image:getHeight();
	end
	
	island2.y = island2.y + island2.speed * dt;
	if(island2.y > love.graphics.getHeight()) then
		island2.x = math.random(love.graphics.getWidth());
		island2.y = -island2.image:getHeight();
	end
	
	island3.y = island3.y + island3.speed * dt;
	if(island3.y > love.graphics.getHeight()) then
		island3.x = math.random(love.graphics.getWidth());
		island3.y = -island3.image:getHeight();
	end
end

function island_draw()
	love.graphics.draw(island1.image, island1.x, island1.y);
	love.graphics.draw(island2.image, island2.x, island2.y);
	love.graphics.draw(island3.image, island3.x, island3.y);
end