require("background")
require("island")

function love.load()
	spr_myplane_strip3 = love.graphics.newImage("images/spr_myplane_strip3.png");
	background_init();
	island_init();
end

function love.update(dt)
	background_updare(dt);
	island_updare(dt);
end

function love.draw()
	background_draw();
	island_draw();
	
    love.graphics.print("Development", 10, 10);
    love.graphics.print("Delta: "..tostring(love.timer.getDelta()), 10, 30);
    love.graphics.print("FPS: "..tostring(love.timer.getFPS()), 10, 50);
    love.graphics.print("MicroTime: "..tostring(love.timer.getMicroTime()), 10, 70);
    love.graphics.print("Time: "..tostring(love.timer.getTime()), 10, 90);
end

function love.quit()
	--This will be printed to the console on quit
	print("Thanks for playing. Please play again soon!");
end